#!/usr/bin/python
import RPi.GPIO as GPIO
import time, os

BLINK = 0.25
PAUSE = 1.0
GPIO.setmode(GPIO.BCM)
LED = [7,11,8,9,25,10,24,22,23,17,18,4]
for x in LED:
    GPIO.setup(x, GPIO.OUT, initial=1)

CMD = "hostname -I"
ip = os.popen(CMD).readline()[:-2].split(".")
print (ip)

print ("Strg+C beendet das Programm")

try:
    while 1:
        for i in range(4):
            for j in range(3):
                GPIO.output(LED[3*i+j], 0)
            time.sleep(PAUSE)
            for j in range(3):
                z = int(ip[i].rjust(3, "0")[j])
                for k in range(z):
                    GPIO.output(LED[3*i+j], 1)
                    time.sleep(BLINK)
                    GPIO.output(LED[3*i+j], 0)
                    time.sleep(BLINK)
                time.sleep(PAUSE)
            for j in range(3):
                GPIO.output(LED[3*i+j], 1)

except KeyboardInterrupt:
    GPIO.cleanup()
