#!/usr/bin/python
import RPi.GPIO as GPIO
import time, colorsys

GPIO.setmode(GPIO.BCM)
LED = [18,23,24]
p   = [0,0,0]
z   = 0.1

for i in range(3):
  GPIO.setup(LED[i], GPIO.OUT)

for i in range(3):
  p[i] = GPIO.PWM(LED[i], 50)
  p[i].start(0)

print("Strg+C beendet das Programm")
try:
  while True:
    for i in range(100):
      rgb = colorsys.hsv_to_rgb(i/100, 1, 1)
      for j in range(3):
        p[j].ChangeDutyCycle(rgb[j])
      time.sleep(z)

except KeyboardInterrupt:
  for i in range(3):
    p[i].stop()
  GPIO.cleanup()
