#!/usr/bin/python
import RPi.GPIO as GPIO
import time, os

BLINK = 0.25
PAUSE = 1.0
#LEDn  = [4,17,27,18]
#LEDip = [23,24,25]
LEDn  = [25,24,23,22]
LEDip = [27,17,4]

GPIO.setmode(GPIO.BCM)
for x in LEDn:
    GPIO.setup(x, GPIO.OUT, initial=0)
for x in LEDip:
    GPIO.setup(x, GPIO.OUT, initial=0)

CMD = "hostname -I"
ip = os.popen(CMD).readline()[:-2].split(".")
print (ip)

print ("Strg+C beendet das Programm")
try:
    while 1:
        for i in range(4):
            GPIO.output(LEDn[i], 1)
            for j in range(3):
                z = int(ip[i].rjust(3, "0")[j])
                for k in range(z):
                    GPIO.output(LEDip[j], 1)
                    time.sleep(BLINK)
                    GPIO.output(LEDip[j], 0)
                    time.sleep(BLINK)
                time.sleep(PAUSE)
                GPIO.output(LEDip[j], 1)
            for j in range(3):
                GPIO.output(LEDip[j], 0)
        for i in range(4):
            GPIO.output(LEDn[i], 0)

except KeyboardInterrupt:
    GPIO.cleanup()
