#!/usr/bin/python
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
LED = [4,17,27,18,22,23,24,25]

for x in range(8):
    GPIO.setup(LED[x], GPIO.OUT, initial=0)

print ("Lauflicht")
print ("L = nach links")
print ("R = nach rechts")
print ("S = symmetrisch")
print ("Strg+C beendet das Programm")
e = input ("Bitte Buchstaben eintippen: ")
z = 0.2

try:
    while True:
        if e == "r":
            for x in range(8):
                GPIO.output(LED[x], 1)
                time.sleep(z)
                GPIO.output(LED[x], 0)
        elif e == "l":
            for x in range(7, -1, -1):
                GPIO.output(LED[x], 1)
                time.sleep(z)
                GPIO.output(LED[x], 0)
        elif e == "s":
            for x in range(4):
                GPIO.output(LED[4+x], 1)
                GPIO.output(LED[3-x], 1)
                time.sleep(z)
                GPIO.output(LED[4+x], 0)
                GPIO.output(LED[3-x], 0)
        else:
            for x in range(8):
                GPIO.output(LED[x], 1)

except KeyboardInterrupt:
    GPIO.cleanup()
